import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/agency_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/agency_table_entity.g.dart';

@JsonSerializable()
class AgencyTableEntity {
	int total = 0;
	List<AgencyTableRows> rows = [];

	AgencyTableEntity();

	factory AgencyTableEntity.fromJson(Map<String, dynamic> json) => $AgencyTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $AgencyTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class AgencyTableRows {
	@JSONField(name: "pivot_id")
	String? pivotId;
	@JSONField(name: "agency_name")
	String? agencyName;
	@JSONField(name: "uen_no")
	String? uenNo;
	@JSONField(name: "contact_person")
	String? contactPerson;
	@JSONField(name: "contact_no")
	String? contactNo;
	@JSONField(name: "contact_email")
	String? contactEmail;
	String? status;
	@JSONField(name: "reg_url")
	String? regUrl;
	@JSONField(name: "created_at")
	String? createdAt;

	AgencyTableRows();

	factory AgencyTableRows.fromJson(Map<String, dynamic> json) => $AgencyTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $AgencyTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}